Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.nlp.optimization
Enum QNMinimizer.eScaling

    java.lang.Object
      java.lang.Enum<QNMinimizer.eScaling>
          edu.stanford.nlp.optimization.QNMinimizer.eScaling

All Implemented Interfaces:
  Serializable, Comparable<QNMinimizer.eScaling>

Enclosing class:
  QNMinimizer

    public static enum QNMinimizer.eScaling

extends Enum<QNMinimizer.eScaling>

Enum Constant Summary
`DIAGONAL`
`SCALAR`

Method Summary
`static QNMinimizer.eScaling` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QNMinimizer.eScaling[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIAGONAL

    public static final QNMinimizer.eScaling DIAGONAL

### SCALAR

    public static final QNMinimizer.eScaling SCALAR

Method Detail

### values

    public static QNMinimizer.eScaling[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QNMinimizer.eScaling c : QNMinimizer.eScaling.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QNMinimizer.eScaling valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Stanford NLP Group